home | JClic | java

Installation of the Java runtime

JClic is an application made with Java. Java is a development tool that allows the creation of applications that can work in different types of computers, operating systems and browsers. To execute them, a special software called Java virtual machine has to be installed on the computer. JClic needs a Java virtual machine version 1.5 or later.

Besides the virtual machine, it is convenient to have two more elements installed: the WebStart system, which facilitates the downloading, installation and updating of the applications, and a multimedia extension that allows the viewing of videos and other special contents of the activities.

On this page you will find information about how to install and configure these components in:

Windows Windows
Mac OS X Mac OS X
Solaris Linux Linux / Solaris

Share |
Installation in Windows systems

Before starting: In Windows XP and 2000 only the users with administrator profile can install or update system components. Many errors and problems occur when the installation is done from a session initiated by a user without administration rights.

To know whether Java is already installed in the computer go to Start - Configuration - Control Panel and look for an icon similar to this one:

Java Plug-in

If it exists, launch it and check the version that appears in the "About" tab.

  • If it does not exist, or if there is a version previous to 1.5, you will have to install the Java engine: go to http://www.java.com and click on the button Get it now.

Get Java now

  • Independently of which version of Java you have, it would also be convenient to install  the complement Java Media Framework, useful for viewing videos and other multimedia elements of the Java applications:

    customJMFinstal.exe (2.061 Kb)
Installation in Mac OS X systems

If you have a Mac with OS X, your system already has a Java virtual machine equipped with WebStart and with the multimedia complement QuickTime.

It's advisable to always maintain the system  updated using the Software Update utility, located in System Preferences:

Acualitzaciu of software

Installation in Linux & Solaris systems

You must check that the system has a Java virtual machine version 1.5 or later. This can be made by opening a console and writing:

# java -version

Generalitat de Catalunya - Departament d'Educació Xarxa Telemàtica Educativa de Catalunya